# Uses of Record Class
org.apache.sling.commons.log.logback.store.LogEntry

Packages that use LogEntry
Package
Description
org.apache.sling.commons.log.logback.internal.store
org.apache.sling.commons.log.logback.store
Provides programatic access to logging events

## Uses of LogEntry in org.apache.sling.commons.log.logback.internal.store

Methods in org.apache.sling.commons.log.logback.internal.store that return types with arguments of type LogEntry
Modifier and Type
Method
Description
`List<LogEntry>`
LogStoreImpl.`getRecent(Pattern pattern, LogLevel minLevel, int maxEntries)`
Methods in org.apache.sling.commons.log.logback.internal.store with parameters of type LogEntry
Modifier and Type
Method
Description
`void`
LogStoreImpl.`append(LogEntry snapshot)`

## Uses of LogEntry in org.apache.sling.commons.log.logback.store

Methods in org.apache.sling.commons.log.logback.store that return types with arguments of type LogEntry
Modifier and Type
Method
Description
`List<LogEntry>`
LogStore.`getRecent(Pattern pattern, LogLevel minLevel, int maxEntries)`
Returns a list of `LogEntrie`s matching the specified parameters